[web-devel] wai-handler-devel and yesod 0.8

Matias Eyzaguirre dented42 at gmail.com
Thu Apr 28 22:38:49 CEST 2011

I'm trying to use wai-handler-devel with an application created using the yesod-0.8.0 scaffolding tool, but I'm running into some trouble. After some missing modules I symlinked some of the modiles in the 'config' folder into the root directory, but then I get a somewhat enigmatic type error that seems somewhat nonsensical:

Holly:Voluntrack dented42$ wai-handler-devel 3000 Controller withVTrack
Attempting to interpret your app...
Compile failed: 

Couldn't match expected type `Network.Wai.Request'
            with actual type `Network.Wai.Request'

what exactly does that mean? or rather, what should I do to prevent it? Perhaps it's trying to match the same type in two different versions of a package? Or  might it be something else?

	Matias Eyzaguirre

More information about the web-devel mailing list